#ifndef CROCPARTY_DEVICE_H
#define CROCPARTY_DEVICE_H

#include <stdint.h>
#include <stdbool.h>

// 256 x 144 is also cool
#define DEVICE_W 256
#define DEVICE_H 144

typedef enum {
    DEVICE_BUTTON_L=0,
    DEVICE_BUTTON_R=1,
    DEVICE_BUTTON_U=2,
    DEVICE_BUTTON_D=3,

    DEVICE_BUTTON_0=4,
    DEVICE_BUTTON_1=5,
    DEVICE_BUTTON_2=6,
    DEVICE_BUTTON_3=7,

    DEVICE_BUTTON_N=8,
} DeviceButton;

extern uint8_t device_pixels[DEVICE_H][DEVICE_W];
extern uint32_t device_palette[256];

extern bool device_buttons[DEVICE_BUTTON_N];

#endif //CROCPARTY_DEVICE_H
